/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.view.View;
import android.widget.TextView;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpItem;
import kr.co.zumo.app.lifeplus.bean.TextBean;

/**
 * SignUpTwoButtonHolder
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 12.]   [최초 작성]
 * @since 2018. 9. 12.
 */
public class SignUpTwoButtonHolder extends BaseViewHolder {
  public SignUpTwoButtonHolder(View itemView) {
    super(itemView);
  }

  @Override
  void draw(SignUpItem item) {

    TextBean bean = item.getBean(TextBean.class);
    String text = bean.getText();

    ((TextView) itemView.findViewById(R.id.sign_up_text_view)).setText(text);
  }

  @Override
  public void setDisabled() {

  }

  @Override
  public void setEnabled() {

  }
}
